# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KJS::String Class Reference

Represents an primitive String value. More...

`#include <value.h>`

Inheritance diagram for KJS::String:

[legend]
Collaboration diagram for KJS::String:

[legend]
List of all members.

## Public Member Functions

| String (const UString &s="")
UString | value () const

## Static Public Member Functions

static String | dynamicCast (const Value &v)

## Friends

class | StringImp

## Detailed Description

Represents an primitive String value.

Definition at line 342 of file value.h.

## Member Function Documentation

String String::dynamicCast | ( | const Value & | v | ) | `[static]`

Converts a Value into an String.

If the value's type is not StringType, a null object will be returned (i.e. one with it's internal pointer set to 0). If you do not know for sure whether the value is of type StringType, you should check the isValid() methods afterwards before calling any methods on the returned value.

Returns:
  The value converted to a String

Definition at line 343 of file value.cpp.

The documentation for this class was generated from the following files:

- value.h
- internal.h
- value.cpp

This file is part of the documentation for kjs Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:23:20 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003